/* File nomenclature.h */
/*
Copyright (c) 2020 - 2024, Brian Reinhold

Permission is hereby granted, free of charge, to any person obtaining a copy of this software
and associated documentation files (the Software), to deal in the Software without restriction,
including without limitation the rights to use, copy, modify, merge, publish, distribute,
sublicense, and/or sell copies of the Software, and to permit persons to whom the Software
is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies
or substantial portions of the Software.

THE SOFTWARE IS PROVIDED AS IS, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE
FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT,
TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
DEALINGS IN THE SOFTWARE.
*/


#ifndef __NOMENCLATURE_H_
#define __NOMENCLATURE_H_

#define USES_PART_SITES 1
#define USES_PART_AI 1
#define USE_SPIRO 1
#define USE_SABTE 1
#define USE_CARDIO 1

#define MDC_PART_OBJ 1
#define MDC_PART_SCADA 2
#define MDC_PART_EVT 3
#define MDC_PART_DIM 4
#define MDC_PART_SITES 7
#define MDC_PART_INFRA 8
#define MDC_PART_PHD_DM 128
#define MDC_PART_PHD_HF 129
#define MDC_PART_PHD_AI 130

// OBJ
/*
#define MDC_MOC_VMO_METRIC (0x10000 + 4)
#define MDC_MOC_VMO_METRIC_ENUM (0x10000 + 5)
#define MDC_MOC_VMO_METRIC_NU (0x10000 + 6)
#define MDC_MOC_VMO_METRIC_SA_RT (0x10000 + 9)
#define MDC_MOC_SCAN (0x10000 + 16)
#define MDC_MOC_SCAN_CFG (0x10000 + 17)
#define MDC_MOC_SCAN_CFG_EPI (0x10000 + 18)
#define MDC_MOC_SCAN_CFG_PERI (0x10000 + 19)
#define MDC_MOC_VMS_MDS_SIMP (0x10000 + 37)
#define MDC_MOC_VMO_PMSTORE (0x10000 + 61)
#define MDC_MOC_PM_SEGMENT (0x10000 + 62)
#define MDC_ATTR_AL_OP_STAT (0x10000 + 2310)
#define MDC_ATTR_CONFIRM_MODE (0x10000 + 2323)
#define MDC_ATTR_CONFIRM_TIMEOUT (0x10000 + 2324)
#define MDC_ATTR_ID_HANDLE (0x10000 + 2337)
#define MDC_ATTR_ID_INSTNO (0x10000 + 2338)
*/
#define MDC_ATTR_ID_LABEL_STRING (0x10000 + 2343)
#define MDC_ATTR_ID_MODEL (0x10000 + 2344)
#define MDC_ATTR_ID_PHYSIO (0x10000 + 2347)
#define MDC_ATTR_ID_PROD_SPECN (0x10000 + 2349)
#define MDC_ATTR_ID_TYPE (0x10000 + 2351)
#define MDC_ATTR_LIMIT_CURR (0x10000 + 2356)
#define MDC_ATTR_METRIC_STORE_CAPAC_CNT (0x10000 + 2369)
#define MDC_ATTR_METRIC_STORE_SAMPLE_ALG (0x10000 + 2371)
#define MDC_ATTR_METRIC_STORE_USAGE_CNT (0x10000 + 2372)
#define MDC_ATTR_MSMT_STAT (0x10000 + 2375)
#define MDC_ATTR_NU_ACCUR_MSMT (0x10000 + 2378)
#define MDC_ATTR_NU_CMPD_VAL_OBS (0x10000 + 2379)
#define MDC_ATTR_NU_VAL_OBS (0x10000 + 2384)
#define MDC_ATTR_NUM_SEG (0x10000 + 2385)
#define MDC_ATTR_OP_STAT (0x10000 + 2387)
#define MDC_ATTR_POWER_STAT (0x10000 + 2389)
#define MDC_ATTR_SA_SPECN (0x10000 + 2413)
#define MDC_ATTR_SCAN_REP_PD (0x10000 + 2421)
#define MDC_ATTR_SEG_USAGE_CNT (0x10000 + 2427)
#define MDC_ATTR_SYS_ID (0x10000 + 2436)
#define MDC_ATTR_SYS_TYPE (0x10000 + 2438)
#define MDC_ATTR_TIME_ABS (0x10000 + 2439)
#define MDC_ATTR_TIME_BATT_REMAIN (0x10000 + 2440)
#define MDC_ATTR_TIME_END_SEG (0x10000 + 2442)
#define MDC_ATTR_TIME_PD_SAMP (0x10000 + 2445)
#define MDC_ATTR_TIME_REL (0x10000 + 2447)
#define MDC_ATTR_TIME_STAMP_ABS (0x10000 + 2448)
#define MDC_ATTR_TIME_STAMP_REL (0x10000 + 2449)
#define MDC_ATTR_TIME_START_SEG (0x10000 + 2450)
#define MDC_ATTR_TX_WIND (0x10000 + 2453)
#define MDC_ATTR_UNIT_CODE (0x10000 + 2454)
#define MDC_ATTR_UNIT_LABEL_STRING (0x10000 + 2457)
#define MDC_ATTR_VAL_BATT_CHARGE (0x10000 + 2460) // also exists in SCADA
#define MDC_ATTR_VAL_ENUM_OBS (0x10000 + 2462)
#define MDC_ATTR_AL_COND (0x10000 + 2476)
#define MDC_ATTR_AL_OP_TEXT_STRING (0x10000 + 2478)
#define MDC_ATTR_TIME_REL_HI_RES (0x10000 + 2536)
#define MDC_ATTR_TIME_STAMP_REL_HI_RES (0x10000 + 2537)
#define MDC_ATTR_DEV_CONFIG_ID (0x10000 + 2628)
#define MDC_ATTR_MDS_TIME_INFO (0x10000 + 2629)
#define MDC_ATTR_METRIC_SPEC_SMALL (0x10000 + 2630)
#define MDC_ATTR_SOURCE_HANDLE_REF (0x10000 + 2631)
#define MDC_ATTR_SIMP_SA_OBS_VAL (0x10000 + 2632)
#define MDC_ATTR_ENUM_OBS_VAL_SIMP_OID (0x10000 + 2633)
#define MDC_ATTR_ENUM_OBS_VAL_SIMP_STR (0x10000 + 2634)
#define MDC_ATTR_REG_CERT_DATA_LIST (0x10000 + 2635)
#define MDC_ATTR_NU_VAL_OBS_BASIC (0x10000 + 2636)
#define MDC_ATTR_PM_STORE_CAPAB (0x10000 + 2637)
#define MDC_ATTR_PM_SEG_MAP (0x10000 + 2638)
#define MDC_ATTR_PM_SEG_PERSON_ID (0x10000 + 2639)
#define MDC_ATTR_SEG_STATS (0x10000 + 2640)
#define MDC_ATTR_SEG_FIXED_DATA (0x10000 + 2641)
#define MDC_ATTR_PM_SEG_ELEM_STAT_ATTR (0x10000 + 2642)
#define MDC_ATTR_SCAN_HANDLE_ATTR_VAL_MAP (0x10000 + 2643)
#define MDC_ATTR_SCAN_REP_PD_MIN (0x10000 + 2644)
#define MDC_ATTR_ATTRIBUTE_VAL_MAP (0x10000 + 2645)
#define MDC_ATTR_NU_VAL_OBS_SIMP (0x10000 + 2646)
#define MDC_ATTR_PM_STORE_LABEL_STRING (0x10000 + 2647)
#define MDC_ATTR_PM_SEG_LABEL_STRING (0x10000 + 2648)
#define MDC_ATTR_TIME_PD_MSMT_ACTIVE (0x10000 + 2649)
#define MDC_ATTR_SYS_TYPE_SPEC_LIST (0x10000 + 2650)
#define MDC_ATTR_METRIC_ID_PART (0x10000 + 2655)
#define MDC_ATTR_ENUM_OBS_VAL_PART (0x10000 + 2656)
#define MDC_ATTR_SUPPLEMENTAL_TYPES (0x10000 + 2657)
#define MDC_ATTR_TIME_ABS_ADJUST (0x10000 + 2658)
#define MDC_ATTR_CLEAR_TIMEOUT (0x10000 + 2659)
#define MDC_ATTR_TRANSFER_TIMEOUT (0x10000 + 2660)
#define MDC_ATTR_ENUM_OBS_VAL_SIMP_BIT_STR (0x10000 + 2661)
#define MDC_ATTR_ENUM_OBS_VAL_BASIC_BIT_STR (0x10000 + 2662)
#define MDC_ATTR_METRIC_STRUCT_SMALL (0x10000 + 2675)
#define MDC_ATTR_NU_CMPD_VAL_OBS_SIMP (0x10000 + 2676)
#define MDC_ATTR_NU_CMPD_VAL_OBS_BASIC (0x10000 + 2677)
#define MDC_ATTR_ID_PHYSIO_LIST (0x10000 + 2678)
#define MDC_ATTR_SCAN_HANDLE_LIST (0x10000 + 2679)
#define MDC_ATTR_CONTEXT_KEY (0x10000 + 2680)
#define MDC_ATTR_SRC_HANDLE_REF_LIST (0x10000 + 2681)
#define MDC_REG_CERT_DATA_AUTH_BODY (0x10000 + 2682)
#define MDC_TIME_CAP_STATE (0x10000 + 2683)
#define MDC_TIME_SYNC_PROTOCOL (0x10000 + 2684)
#define MDC_TIME_SYNC_ACCURACY (0x10000 + 2685)
#define MDC_TIME_RES_ABS (0x10000 + 2686)
#define MDC_TIME_RES_REL (0x10000 + 2687)
#define MDC_TIME_RES_REL_HI_RES (0x10000 + 2688)
#define MDC_ATTR_TIME_BO (0x10000 + 2689)
#define MDC_ATTR_TIME_STAMP_BO (0x10000 + 2690)
#define MDC_ATTR_TIME_START_SEG_BO (0x10000 + 2691)
#define MDC_ATTR_TIME_END_SEG_BO (0x10000 + 2692)
#define MDC_ATTR_TICK_RES (0x10000 + 2693)
#define MDC_ATTR_THRES_NOTIF_TEXT_STRING (0x10000 + 2696)
#define MDC_ATTR_MSMT_CONFIDENCE_95 (0x10000 + 2700)
#define MDC_ATTR_EVENT_CONTEXT (0x10000 + 2702)
#define MDC_ATTR_ID_OBSERVATION	(0x10000 + 3007)
#define MDC_ATTR_OBSERVATION_REF_LIST (0x10000 + 3008)

    // ---- Schedule store stuff
/*
#define MDC_ATTR_SCHED_SEG_PERIOD (0x10000 + 2819)
#define MDC_ATTR_SCHED_SEG_REF_ABS_TIME (0x10000 + 2831)
#define MDC_TIME_RES_BO (0x10000 + 2703)
#define MDC_ACT_SEG_CLR (0x10000 + 3084)
#define MDC_ACT_SEG_GET_INFO (0x10000 + 3085)
#define MDC_ACT_SET_TIME (0x10000 + 3095)
#define MDC_ACT_DATA_REQUEST (0x10000 + 3099)
#define MDC_ACT_SEG_TRIG_XFER (0x10000 + 3100)
#define MDC_NOTI_CONFIG (0x10000 + 3356)
#define MDC_NOTI_SCAN_REPORT_FIXED (0x10000 + 3357)
#define MDC_NOTI_SCAN_REPORT_VAR (0x10000 + 3358)
#define MDC_NOTI_SCAN_REPORT_MP_FIXED (0x10000 + 3359)
#define MDC_NOTI_SCAN_REPORT_MP_VAR (0x10000 + 3360)
#define MDC_NOTI_SEGMENT_DATA (0x10000 + 3361)
#define MDC_NOTI_UNBUF_SCAN_REPORT_VAR (0x10000 + 3362)
#define MDC_NOTI_UNBUF_SCAN_REPORT_FIXED (0x10000 + 3363)
#define MDC_NOTI_UNBUF_SCAN_REPORT_GROUPED (0x10000 + 3364)
#define MDC_NOTI_UNBUF_SCAN_REPORT_MP_VAR (0x10000 + 3365)
#define MDC_NOTI_UNBUF_SCAN_REPORT_MP_FIXED (0x10000 + 3366)
#define MDC_NOTI_UNBUF_SCAN_REPORT_MP_GROUPED (0x10000 + 3367)
#define MDC_NOTI_BUF_SCAN_REPORT_VAR (0x10000 + 3368)
#define MDC_NOTI_BUF_SCAN_REPORT_FIXED (0x10000 + 3369)
#define MDC_NOTI_BUF_SCAN_REPORT_GROUPED (0x10000 + 3370)
#define MDC_NOTI_BUF_SCAN_REPORT_MP_VAR (0x10000 + 3371)
#define MDC_NOTI_BUF_SCAN_REPORT_MP_FIXED (0x10000 + 3372)
#define MDC_NOTI_BUF_SCAN_REPORT_MP_GROUPED (0x10000 + 3373)
*/


// SCADA
#define MDC_ECG_ELEC_POTL (0x20000 + 256)
#define MDC_ECG_ELEC_POTL_I (0x20000 + 257) //	Lead I
#define MDC_ECG_ELEC_POTL_II (0x20000 + 258) //	Lead II
#define MDC_ECG_ELEC_POTL_III (0x20000 + 317) //	Lead III
#define MDC_ECG_ELEC_POTL_AVR (0x20000 + 318) //	Augmented voltage right (aVR)
#define MDC_ECG_ELEC_POTL_AVL (0x20000 + 319) //	Augmented voltage left (aVL)
#define MDC_ECG_ELEC_POTL_AVF (0x20000 + 320) //	Augmented voltage foot (aVF)
#define MDC_ECG_ELEC_POTL_V1 (0x20000 + 259) //	Lead V1
#define MDC_ECG_ELEC_POTL_V2 (0x20000 + 260) //	Lead V2
#define MDC_ECG_ELEC_POTL_V3 (0x20000 + 261) //	Lead V3
#define MDC_ECG_ELEC_POTL_V4 (0x20000 + 262) //	Lead V4
#define MDC_ECG_ELEC_POTL_V5 (0x20000 + 263) //	Lead V5
#define MDC_ECG_ELEC_POTL_V6 (0x20000 + 264) //	Lead V6

#define MDC_ECG_AMPL_ST (0x20000 + 768)
#define MDC_ECG_TIME_PD_QTc (0x20000 + 16164)
#define MDC_ECG_TIME_PD_QT_GL (0x20000 + 16160)
#define MDC_ECG_TIME_PD_RR_GL (0x20000 + 16168)
#define MDC_ECG_TACHY (0x20000 + 16616)
#define MDC_ECG_ATR_FIB (0x20000 + 16648)
#define MDC_ECG_SV_BRADY (0x20000 + 16912)
#define MDC_ECG_V_P_C_CNT (0x20000 + 16993)
#define MDC_ECG_SINUS_RHY (0x20000 + 16402)
#define MDC_ECG_HEART_RATE (0x20000 + 16770)
#define MDC_PULS_OXIM_PULS_RATE (0x20000 + 18458)
#define MDC_PULS_RATE_NON_INV (0x20000 + 18474)
#define MDC_PRESS_BLD_NONINV (0x20000 + 18948)
#define MDC_PRESS_BLD_NONINV_SYS (0x20000 + 18949)
#define MDC_PRESS_BLD_NONINV_DIA (0x20000 + 18950)
#define MDC_PRESS_BLD_NONINV_MEAN (0x20000 + 18951)
#define MDC_SAT_O2_QUAL (0x20000 + 19248)
#define MDC_TEMP_BODY (0x20000 + 19292)
#define MDC_TEMP_TYMP (0x20000 + 19320)
#define MDC_PULS_OXIM_PERF_REL (0x20000 + 19376)
#define MDC_PULS_OXIM_PLETH (0x20000 + 19380)
#define MDC_PULS_OXIM_SAT_O2 (0x20000 + 19384)
#define MDC_MODALITY_FAST (0x20000 + 19508)
#define MDC_MODALITY_SLOW (0x20000 + 19512)
#define MDC_PULS_OXIM_PULS_CHAR (0x20000 + 19533)
#define MDC_MODALITY_SPOT (0x20000 + 19516)
#define MDC_PULS_OXIM_DEV_STATUS (0x20000 + 19532)
#define MDC_RESP_RATE (0x20000 + 20490)
#define MDC_AWAY_RESP_RATE (0x20000 + 20498)
#define MDC_PRESS_AWAY_MAX (0x20000 + 20721)
#define MDC_PRESS_AWAY_MIN (0x20000 + 20722)
#define MDC_RATIO_IE (0x20000 + 20760)

#define MDC_PRESS_AWAY_AVG (0x20000 + 21395)
#define MDC_PRESS_AWAY_MEAN (0x20000 + 21396)
#define MDC_PRESS_AWAY_P50 (0x20000 + 21397)
#define MDC_PRESS_AWAY_P90 (0x20000 + 21398)
#define MDC_PRESS_AWAY_P95 (0x20000 + 21399)
#define MDC_PRESS_AWAY_WAVE (0x20000 + 21400)
#define MDC_PRESS_FLOW_AWAY_WAVE (0x20000 + 21401)

#define MDC_CONC_GLU_GEN (0x20000 + 28948)
#define MDC_CONC_GLU_CAPILLARY_WHOLEBLOOD (0x20000 + 29112)
#define MDC_CONC_GLU_CAPILLARY_PLASMA (0x20000 + 29116)
#define MDC_CONC_GLU_VENOUS_WHOLEBLOOD (0x20000 + 29120)
#define MDC_CONC_GLU_VENOUS_PLASMA (0x20000 + 29124)
#define MDC_CONC_GLU_ARTERIAL_WHOLEBLOOD (0x20000 + 29128)
#define MDC_CONC_GLU_ARTERIAL_PLASMA (0x20000 + 29132)
#define MDC_CONC_GLU_CONTROL (0x20000 + 29136)
#define MDC_CONC_GLU_ISF (0x20000 + 29140)
#define MDC_CONC_HBA1C (0x20000 + 29148)
#define MDC_CONC_GLU_URINE (0x20000 + 28788) // Glucose concentration in urine
#define MDC_CONC_PH_URINE (0x20000 + 28772) // PH grade of urine
#define MDC_SPEC_GRAV_URINE (0x20000 + 28972) //  Specific gravity of urine
#define MDC_CONC_BILIRUBIN_URINE (0x20000 + 29152) // Bilirubin concentration in urine
#define MDC_CONC_KETONE_URINE (0x20000 + 29156)  //  Ketone concentration in urine
#define MDC_CONC_LEUK_ESTE_URINE (0x20000 + 29160) // Leukocyte esterase concentration in urine
#define MDC_CONC_NITRITE_URINE (0x20000 + 29164)  //  Nitrite concentration in urine
#define MDC_CONC_OCCULT_BLOOD_URINE (0x20000 + 29168)  // Occult blood concentration in urine
#define MDC_CONC_PROTEIN_URINE (0x20000 + 29172)  //  Protein concentration in urine
#define MDC_CONC_UROBILINOGEN_URINE (0x20000 + 29176) // Urobilinogen concentration in urine
#define MDC_RATIO_INR_COAG (0x20000 + 29188)
#define MDC_TIME_PD_COAG (0x20000 + 29192)
#define MDC_QUICK_VALUE_COAG (0x20000 + 29196)
#define MDC_ISI_COAG (0x20000 + 29200)
#define MDC_COAG_CONTROL (0x20000 + 29204)
#define MDC_CONC_GLU_UNDETERMINED_WHOLEBLOOD (0x20000 + 29292)
#define MDC_CONC_GLU_UNDETERMINED_PLASMA (0x20000 + 29296)
#define MDC_CONC_GLU_CONTROL_LEVEL_LOW (0x20000 + 29300)
#define MDC_CONC_GLU_CONTROL_LEVEL_MEDIUM (0x20000 + 29304)
#define MDC_CONC_GLU_CONTROL_LEVEL_HIGH (0x20000 + 29308)

#define MDC_DIAG_SESSION (0x20000 + 30724)
#define MDC_DIAG_SUB_SESSION (0x20000 + 30725)

#define MDC_ECG_STAT_RHY (0x20000 + 53255)
#define MDC_TRIG (0x20000 + 53250)
#define MDC_TRIG_BEAT (0x20000 + 53251)
#define MDC_TRIG_BEAT_MAX_INRUSH (0x20000 + 53259)
#define MDC_TEMP_RECT (0x20000 + 57348)
#define MDC_TEMP_ORAL (0x20000 + 57352)
#define MDC_TEMP_EAR (0x20000 + 57356)
#define MDC_TEMP_FINGER (0x20000 + 57360)
#define MDC_TEMP_TOE (0x20000 + 57376)
#define MDC_TEMP_AXILLA (0x20000 + 57380)
#define MDC_TEMP_GIT (0x20000 + 57384)
#define MDC_MASS_BODY_ACTUAL (0x20000 + 57664)
#define MDC_LEN_BODY_ACTUAL (0x20000 + 57668)
#define MDC_BODY_FAT (0x20000 + 57676)
#define MDC_RATIO_MASS_BODY_LEN_SQ (0x20000 + 57680)
#define MDC_METRIC_NOS (0x20000 + 61439)
#define MDC_MASS_BODY_FAT_FREE (0x20000 + 57684)
#define MDC_MASS_BODY_SOFT_LEAN (0x20000 + 57688)
#define MDC_BODY_WATER (0x20000 + 57692)
#define MDC_BASAL_METABOLISM (0x20000 + 57696)    // Not in 20601
#define MDC_BODY_MUSCLE (0x20000 + 57700)         // Not in 20601
#define MDC_MASS_BODY_MUSCLE (0x20000 + 57704)    // Not in 20601
#define MDC_BODY_ELECTRICAL_IMPEDANCE (0x20000 + 57708)      // Not in 20601
#define MDC_INS_DELIV_BASAL (0x20000 + 58368)
#define MDC_INS_DELIV_BASAL_TEMP_REL (0x20000 + 58372)
#define MDC_INS_DELIV_BASAL_TEMP_ABS (0x20000 + 58276)
#define MDC_INS_DELIV_BOLUS_FAST (0x20000 + 58380)
#define MDC_INS_DELIV_BOLUS_SLOW (0x20000 + 58384)
#define MDC_INS_DELIV_DAILY_DOSE (0x20000 + 58388)
#define MDC_INS_DELIV_DAILY_DOSE_TOTAL (0x20000 + 58392)
#define MDC_INS_DELIV_DAILY_DOSE_BASAL (0x20000 + 58396)
#define MDC_INS_DELIV_DAILY_DOSE_BOLUS (0x20000 + 58400)
#define MDC_PRIVATE_EMPATICA_CONDUCTANCE (0x20000 + 0xFF14)      // Not in 20601

#if (USE_SPIRO == 1)
#define MDC_FLOW_AWAY (0x20000 + 20692)   // Gas flow in airway
#define MDC_FLOW_AWAY_INSP (0x20000 + 20700)  // Inspiratory gas flow in airway
#define MDC_VOL_AWAY_TIDAL (0x20000 + 20796)  // Volume of gas leaving the patient through the patient connection port during an expiratory phase.
#define MDC_VOL_MINUTE_AWAY (0x20000 + 20808)

#define MDC_VOL_AWAY (0x20000 + 21636)    // Integral flow of gas in airway) typically as a waveform or spirometry waveform segment
#define MDC_FLOW_AWAY_EXP_FORCED_PEAK (0x20000 + 21512)
#define MDC_FLOW_AWAY_EXP_FORCED_PEAK_PB (0x20000 + 21513)
#define MDC_VOL_AWAY_EXP_FORCED_1S (0x20000 + 21514)
#define MDC_VOL_AWAY_EXP_FORCED_6S (0x20000 + 21515)      // Ref id corrected (had extra EXP)
#define MDC_CAPAC_VITAL (0x20000 + 20608) // Difference in volume between maximum inspiration and maximum expiration
#define MDC_PRESS_AIR_AMBIENT (0x20000 + 21764)

#define MDC_TEMP_ROOM (0x20000 + 57436)
#define MDC_VOL_AWAY_EXP_FORCED_CAPACITY (0x20000 + 57856)
#define MDC_VOL_AWAY_SLOW_CAPACITY (0x20000 + 57860)
#define MDC_RATIO_AWAY_EXP_FORCED_FEV1_FEV6 (0x20000 + 57864)
#define MDC_VOL_AWAY_EXP_FORCED_0_5S (0x20000 + 57868)
#define MDC_VOL_AWAY_EXP_FORCED_0_75S (0x20000 + 57872)
#define MDC_RATIO_AWAY_EXP_FORCED_1S_FVC (0x20000 + 57876)
#define MDC_RATIO_AWAY_EXP_FORCED_0_5S_FVC (0x20000 + 57880)
#define MDC_RATIO_AWAY_EXP_FORCED_0_75S_FVC (0x20000 + 57884)
#define MDC_FLOW_AWAY_EXP_FORCED_25_75_FVC (0x20000 + 57888)
#define MDC_FLOW_AWAY_EXP_FORCED_25_FVC (0x20000 + 57892)
#define MDC_FLOW_AWAY_EXP_FORCED_50_FVC (0x20000 + 57896)
#define MDC_FLOW_AWAY_EXP_FORCED_75_FVC (0x20000 + 57900)
#define MDC_FLOW_AWAY_INSP_FORCED_PEAK (0x20000 + 57904)
#define MDC_VOL_AWAY_INSP_FORCED_CAPACITY (0x20000 + 57908)
#define MDC_VOL_AWAY_INSP_FORCED_1S (0x20000 + 57912)
#define MDC_FLOW_AWAY_INSP_FORCED_25 (0x20000 + 57916)
#define MDC_FLOW_AWAY_INSP_FORCED_50 (0x20000 + 57920)
#define MDC_FLOW_AWAY_INSP_FORCED_75 (0x20000 + 57924)

#define MDC_VOL_AWAY_INSP_CAPACITY (0x20000 + 57928)
#define MDC_VOL_AWAY_EXP_RESERVE (0x20000 + 57932)
#define MDC_VOL_AWAY_INSP_RESERVE (0x20000 + 57936)
#define MDC_VOL_AWAY_INSP_SLOW_CAPACITY (0x20000 + 57940)
#define MDC_VOL_AWAY_EXP_FORCED_TIME (0x20000 + 57944)
#define MDC_VOL_AWAY_EXTRAP (0x20000 + 57948)
#define MDC_AWAY_BTPS (0x20000 + 57952)
#define MDC_REL_HUMIDITY_AMBIENT (0x20000 + 57732) //57960

#define MDC_VOL_AWAY_EXP_SLOW_CAPACITY (0x20000 + 57964)
#define MDC_VOL_AWAY_EXP_FORCED_2S (0x20000 + 57968)
#define MDC_VOL_AWAY_EXP_FORCED_3S (0x20000 + 57972)
#define MDC_VOL_AWAY_EXP_FORCED_5S (0x20000 + 57976)
#define MDC_RATIO_AWAY_EXP_FORCED_2S_FVC (0x20000 + 57980)
#define MDC_RATIO_AWAY_EXP_FORCED_3S_FVC (0x20000 + 57984)
#define MDC_RATIO_AWAY_EXP_FORCED_5S_FVC (0x20000 + 57988)
#define MDC_RATIO_AWAY_EXP_FORCED_6S_FVC (0x20000 + 57992)
#define MDC_FLOW_AWAY_EXP_FORCED_MAX (0x20000 + 57996)
#define MDC_FLOW_AWAY_EXP_FORCED_25_50 (0x20000 + 58000)
#define MDC_FLOW_AWAY_EXP_FORCED_75_85 (0x20000 + 58004)
#define MDC_FLOW_AWAY_EXP_FORCED_0_2L_1_2L (0x20000 + 58008)
#define MDC_FLOW_AWAY_EXP_FORCED_85 (0x20000 + 58012)
#define MDC_VOL_AWAY_EXP_TIDAL_TIME (0x20000 + 58016)
#define MDC_VOL_AWAY_INSP_TIDAL_TIME (0x20000 + 58020)
#define MDC_RATIO_AWAY_TIN_TEX (0x20000 + 58024)
#define MDC_FLOW_AWAY_INSP_FORCED_25_50 (0x20000 + 58028)
#define MDC_FLOW_AWAY_INSP_FORCED_25_75 (0x20000 + 58032)
#define MDC_RATIO_AWAY_INSP_FORCED_1S_FIVC (0x20000 + 58036)
#define MDC_VOL_AWAY_CAPACITY_VOLUNTARY_MAX_12S (0x20000 + 58040)
#define MDC_VOL_AWAY_CAPACITY_VOLUNTARY_MAX_15S (0x20000 + 58044)
#define MDC_VOL_AWAY_EXP_25_75_TIME (0x20000 + 58048)
#define MDC_FLOW_AWAY_EXP_PEAK_TIME (0x20000 + 58052)
#define MDC_FLOW_AWAY_EXP_TIDAL_MEAN (0x20000 + 58056)

#define MDC_RATIO_AWAY_EXP_FORCED_1S_SVC (0x20000 + 58060)

#define MDC_PRIVATE_HR_BP_PROD (0x20000 + 0xF700)
#define MDC_PRIVATE_HR_VARIABILITY (0x20000 + 0xF701)
#define MDC_PRIVATE_SPIROMETRY_STATUS (0x20000 + 0xF71A)
#define MDC_PRIVATE_SPIROMETRY_TYPE (0x20000 + 0xF71C)
#define MDC_PRIVATE_SPIROMETRY_TYPE_FVC (0x20000 + 0xF71D)
#define MDC_PRIVATE_SPIROMETRY_TYPE_VC (0x20000 + 0xF71E)
#define MDC_PRIVATE_SPIROMETRY_TYPE_FVC_VC (0x20000 + 0xF71F)
#endif

// DIM
#define MDC_DIM_DIMLESS (512)
#define MDC_DIM_PERCENT (544)
#define MDC_DIM_ANG_DEG (736)
#define MDC_DIM_PH (992)
#define MDC_DIM_BEAT (1088)
#define MDC_DIM_M (1280)
#define MDC_DIM_CENTI_M (1297)
#define MDC_DIM_FOOT (1344)
#define MDC_DIM_INCH (1376)
#define MDC_DIM_L (1600)
#define MDC_DIM_CENTI_L (1617)
#define MDC_DIM_MILLI_L (1618)
#define MDC_DIM_G (1728)
#define MDC_DIM_KILO_G (1731)
#define MDC_DIM_MILLI_G (1746)
#define MDC_DIM_LB (1760)
#define MDC_DIM_KG_PER_M_SQ (1952)
#define MDC_DIM_MILLI_G_PER_DL (2130)
#define MDC_DIM_SEC (2176)
#define MDC_DIM_MILLI_SEC (2194)
#define MDC_DIM_MICRO_SEC (2195)
#define MDC_DIM_MIN (2208)
#define MDC_DIM_HR (2240)
#define MDC_DIM_DAY (2272)
#define MDC_DIM_YR (2368)
#define MDC_DIM_BEAT_PER_MIN (2720)
#define MDC_DIM_RESP_PER_MIN (2784)
#define MDC_DIM_M_PER_SEC (2816)
#define MDC_DIM_L_PER_MIN_PER_M_SQ (2848) // 2848 is this in 10101R
#define MDC_DIM_L_PER_MIN (3072)  // which is correct 2848 0r 3072? 3072 is in 10101R
#define MDC_DIM_L_PER_SEC (3040)
#define MDC_DIM_CENTI_L_PER_SEC (3057)
#define MDC_DIM_MILLI_L_PER_SEC (3058)
#define MDC_DIM_HECTO_PASCAL (3842)
#define MDC_DIM_KILO_PASCAL (3843)
#define MDC_DIM_HECTO_PASCAL_PER_SEC (3850)
#define MDC_DIM_MMHG (3872)
#define MDC_DIM_JOULES (3968)
#define MDC_DIM_WATT (4032)
#define MDC_DIM_NANO_WATT (4052) // Add 20 to WATT
#define MDC_DIM_VOLT (4256)
#define MDC_DIM_MILLI_VOLT (4274)
#define MDC_DIM_OHM (4288)
#define MDC_DIM_MEGA_OHM (4292)
#define MDC_DIM_KELVIN (4384)
#define MDC_DIM_FAHR (4416)
#define MDC_DIM_MILLI_MOLE_PER_L (4722)
#define MDC_DIM_MICRO_MOLE_PER_L (4723)
#define MDC_DIM_MILLI_G_PER_DL_PER_MIN (4724)
#define MDC_DIM_MILLI_MOLE_PER_L_PER_MIN (4728)
#define MDC_DIM_EVT_PER_HR (4732)
#define MDC_DIM_INTL_UNIT (5472)
#define MDC_DIM_INTL_UNIT_PER_HR (5696)
#define MDC_DIM_DEGC (6048)
#define MDC_DIM_DECIBEL (6432)
#define MDC_DIM_M_PER_MIN (6560)
#define MDC_DIM_INR (6608)
#define MDC_DIM_M_PER_SEC_SQ (6624)
#define MDC_DIM_STEP (6656)
#define MDC_DIM_FOOT_PER_MIN (6688)
#define MDC_DIM_INCH_PER_MIN (6720)
#define MDC_DIM_STEP_PER_MIN (6752)
#define MDC_DIM_CAL (6784)        // Wrong in 10441)
#define MDC_DIM_NUTRI_CAL (8384)   // According to new draft 10101 (wrong in 10441 on value and ref id)
#define MDC_DIM_RPM (6816)
#define MDC_DIM_TICK (6848)
#define MDC_DIM_PRIVATE_MMHG_BEAT_PER_MIN (0xF700) // this is a Blood pressure - beats special measure on the bodimetrics
#define MDC_DIM_PRIVATE_MICRO_SIEMENS (0xFF20)

// SITES
#if (USES_PART_SITES == 1)
#define MDC_MUSC_SKELETAL (0x70000 + 248)
#define MDC_MUSC_HEAD (0x70000 + 252)
#define MDC_MUSC_HEAD_EYE (0x70000 + 256)
#define MDC_MUSC_HEAD_RECT_SUP (0x70000 + 260)
#define MDC_MUSC_HEAD_RECT_INF (0x70000 + 264)
#define MDC_MUSC_HEAD_RECT_MED (0x70000 + 268)
#define MDC_MUSC_HEAD_RECT_LAT (0x70000 + 272)
#define MDC_MUSC_HEAD_OBLIQ_SUP (0x70000 + 276)
#define MDC_MUSC_HEAD_OBLIQ_INF (0x70000 + 280)
#define MDC_MUSC_HEAD_FACIAL (0x70000 + 284)
#define MDC_MUSC_HEAD_OCCIPITOFRONT_VENTER (0x70000 + 288)
#define MDC_MUSC_HEAD_ORBIC_OCUL (0x70000 + 292)
#define MDC_MUSC_HEAD_ORBIC_OCUL_PARS_ORBIT (0x70000 + 296)
#define MDC_MUSC_HEAD_AURIC_POST (0x70000 + 300)
#define MDC_MUSC_HEAD_ORBIC_ORIS (0x70000 + 304)
#define MDC_MUSC_HEAD_DEPRESSOR_ANGUL_ORIS (0x70000 + 308)
#define MDC_MUSC_HEAD_RISOR (0x70000 + 312)
#define MDC_MUSC_HEAD_ZYGOMATIC_MAJOR (0x70000 + 316)
#define MDC_MUSC_HEAD_ZYGOMATIC_MINOR (0x70000 + 320)
#define MDC_MUSC_HEAD_LEVATOR_LAB_SUP (0x70000 + 324)
#define MDC_MUSC_HEAD_LEVATOR_LAB_SUP_AL_NASI (0x70000 + 328)
#define MDC_MUSC_HEAD_DEPRESSOR_LAB_INF (0x70000 + 332)
#define MDC_MUSC_HEAD_LEVATOR_ANGUL_ORIS (0x70000 + 336)
#define MDC_MUSC_HEAD_BUCCINATOR (0x70000 + 340)
#define MDC_MUSC_HEAD_MENTAL (0x70000 + 344)
#define MDC_MUSC_HEAD_MASSETER (0x70000 + 348)
#define MDC_MUSC_HEAD_TEMPOR (0x70000 + 352)
#define MDC_MUSC_HEAD_PTERYGOID (0x70000 + 356)
#define MDC_MUSC_HEAD_PTERYGOID_LAT (0x70000 + 360)
#define MDC_MUSC_HEAD_PTERYGOID_MED (0x70000 + 364)
#define MDC_MUSC_HEAD_LING (0x70000 + 368)
#define MDC_MUSC_HEAD_GENIOGLOSS (0x70000 + 372)
#define MDC_MUSC_HEAD_LARING (0x70000 + 376)
#define MDC_MUSC_HEAD_CRICOTHYROID (0x70000 + 380)
#define MDC_MUSC_HEAD_THYROARYTEROID (0x70000 + 384)
#define MDC_MUSC_NECK (0x70000 + 388)
#define MDC_MUSC_NECK_PLATYSMA (0x70000 + 392)
#define MDC_MUSC_NECK_CAPT_LONG (0x70000 + 396)
#define MDC_MUSC_NECK_STERNOCLEIDOMASTOID (0x70000 + 400)
#define MDC_MUSC_NECK_DIGRASTRIC (0x70000 + 404)
#define MDC_MUSC_NECK_DIGRASTRIC_VENTER_ANT (0x70000 + 408)
#define MDC_MUSC_NECK_DIGRASTRIC_VENTER_POST (0x70000 + 412)
#define MDC_MUSC_NECK_MYLOHYOID (0x70000 + 416)
#define MDC_MUSC_TRUNK (0x70000 + 420)
#define MDC_MUSC_BACK (0x70000 + 424)
#define MDC_MUSC_BACK_UPPER (0x70000 + 428)
#define MDC_MUSC_BACK_LOWER (0x70000 + 432)
#define MDC_MUSC_BACK_TRAPEZ (0x70000 + 436)
#define MDC_MUSC_BACK_LASTISSIM_DORS (0x70000 + 440)
#define MDC_MUSC_BACK_RHOMB_MAJOR (0x70000 + 444)
#define MDC_MUSC_BACK_RHOMB_MINOR (0x70000 + 448)
#define MDC_MUSC_BACK_SCAP_LEVATOR (0x70000 + 452)
#define MDC_MUSC_BACK_SERRAT_POST (0x70000 + 456)
#define MDC_MUSC_BACK_SPLEN_CAPT (0x70000 + 460)
#define MDC_MUSC_BACK_SPLEN_CERVIC (0x70000 + 464)
#define MDC_MUSC_BACK_SPLEN (0x70000 + 468)
#define MDC_MUSC_BACK_SPINAL_ERECTOR (0x70000 + 472)
#define MDC_MUSC_BACK_SPINAL (0x70000 + 476)
#define MDC_MUSC_BACK_SPINAL_THORAC (0x70000 + 480)
#define MDC_MUSC_BACK_SPINAL_CERVIC (0x70000 + 484)
#define MDC_MUSC_BACK_SPINAL_CAPIT (0x70000 + 488)
#define MDC_MUSC_BACK_SEMISPINAL (0x70000 + 492)
#define MDC_MUSC_BACK_SEMISPINAL_THOR (0x70000 + 496)
#define MDC_MUSC_BACK_SEMISPINAL_CERV (0x70000 + 500)
#define MDC_MUSC_BACK_SEMISPINAL_CAPIT (0x70000 + 504)
#define MDC_MUSC_BACK_MULTIFID (0x70000 + 508)
#define MDC_MUSC_BACK_INTERSPINAL (0x70000 + 512)
#define MDC_MUSC_BACK_INTERSPINAL_CERVIC (0x70000 + 516)
#define MDC_MUSC_BACK_INTERSPINAL_THORAC (0x70000 + 520)
#define MDC_MUSC_BACK_INTERSPINAL_LUMBOR (0x70000 + 524)
#define MDC_MUSC_THORAX (0x70000 + 528)
#define MDC_MUSC_THORAX_PECTORAL_MAJOR (0x70000 + 532)
#define MDC_MUSC_THORAX_PECTORAL_MINOR (0x70000 + 536)
#define MDC_MUSC_THORAX_SUBCLAV (0x70000 + 540)
#define MDC_MUSC_THORAX_SERRAT_ANT (0x70000 + 544)
#define MDC_MUSC_THORAX_INTERCOSTAL (0x70000 + 548)
#define MDC_MUSC_THORAX_DIAPHRAGM (0x70000 + 552)
#define MDC_MUSC_ABDOM (0x70000 + 556)
#define MDC_MUSC_ABDOM_ABDOMIN (0x70000 + 560)
#define MDC_MUSC_ABDOM_OBLIQ_EXT (0x70000 + 564)
#define MDC_MUSC_ABDOM_OBLIQ_INT (0x70000 + 568)
#define MDC_MUSC_ABDOM_ABDOM_TRANSVERS (0x70000 + 572)
#define MDC_MUSC_ABDOM_LUMBOR_QUADRAT (0x70000 + 576)
#define MDC_MUSC_ABDOM_PELV (0x70000 + 580)
#define MDC_MUSC_ABDOM_PUBORECT (0x70000 + 584)
#define MDC_MUSC_ABDOM_COCCYG (0x70000 + 588)
#define MDC_MUSC_ABDOM_ANI_SPHINCTER (0x70000 + 592)
#define MDC_MUSC_ABDOM_ANI_SPHINCTER_EXT (0x70000 + 596)
#define MDC_MUSC_UPEXT (0x70000 + 600)
#define MDC_MUSC_UPEXT_DELTOID (0x70000 + 604)
#define MDC_MUSC_UPEXT_SUPRASPINAT (0x70000 + 608)
#define MDC_MUSC_UPEXT_INFRASPINAT (0x70000 + 612)
#define MDC_MUSC_UPEXT_TERES_MINOR (0x70000 + 616)
#define MDC_MUSC_UPEXT_TERES_MAJOR (0x70000 + 620)
#define MDC_MUSC_UPEXT_SUBSCAP (0x70000 + 624)
#define MDC_MUSC_UPEXT_BRACHI_BICEPS (0x70000 + 628)
#define MDC_MUSC_UPEXT_BRACHIAL (0x70000 + 632)
#define MDC_MUSC_UPEXT_CORACOBRACH (0x70000 + 636)
#define MDC_MUSC_UPEXT_BRACH_TRICEPS (0x70000 + 640)
#define MDC_MUSC_UPEXT_BRACH_TRICEPS_CAP_LONG (0x70000 + 644)
#define MDC_MUSC_UPEXT_BRACH_TRICEPS_CAP_LAT (0x70000 + 648)
#define MDC_MUSC_UPEXT_BRACH_TRICEPS_CAP_MED (0x70000 + 652)
#define MDC_MUSC_UPEXT_ANCON (0x70000 + 656)
#define MDC_MUSC_UPEXT_PRONATOR (0x70000 + 660)
#define MDC_MUSC_UPEXT_FLEX_CARPI_RADIAL (0x70000 + 664)
#define MDC_MUSC_UPEXT_PALMAR_LONG (0x70000 + 668)
#define MDC_MUSC_UPEXT_FLEX_CARPI_ULNAR (0x70000 + 672)
#define MDC_MUSC_UPEXT_FLEX_DIGIT_SUPERF (0x70000 + 676)
#define MDC_MUSC_UPEXT_FLEX_DIGIT_PROFUND (0x70000 + 680)
#define MDC_MUSC_UPEXT_FLEX_POLLIC_LONG (0x70000 + 684)
#define MDC_MUSC_UPEXT_PRONATOR_QUADRAT (0x70000 + 688)
#define MDC_MUSC_UPEXT_BRACHIORADIAL (0x70000 + 692)
#define MDC_MUSC_UPEXT_EXTENS_CARP_RADIAL_LONG (0x70000 + 696)
#define MDC_MUSC_UPEXT_EXTENS_CARP_RADIAL_BREV (0x70000 + 700)
#define MDC_MUSC_UPEXT_EXTENS_DIGIT (0x70000 + 704)
#define MDC_MUSC_UPEXT_EXTENS_DIGIT_MIN (0x70000 + 708)
#define MDC_MUSC_UPEXT_EXTENS_CARP_ULNAR (0x70000 + 712)
#define MDC_MUSC_UPEXT_SUPINATOR (0x70000 + 716)
#define MDC_MUSC_UPEXT_ABDUC_POLLIC_LONG (0x70000 + 720)
#define MDC_MUSC_UPEXT_EXTENS_POLLIC_BREV (0x70000 + 724)
#define MDC_MUSC_UPEXT_EXTENS_POLLIC_LONG (0x70000 + 728)
#define MDC_MUSC_UPEXT_EXTENS_INDIC (0x70000 + 732)
#define MDC_MUSC_UPEXT_PALMAR_BREV (0x70000 + 736)
#define MDC_MUSC_UPEXT_ABDUC_POLLIC_BREV (0x70000 + 740)
#define MDC_MUSC_UPEXT_FLEX_POLLIC_BREV (0x70000 + 744)
#define MDC_MUSC_UPEXT_OPPON_POLLIC (0x70000 + 748)
#define MDC_MUSC_UPEXT_ADDUC_POLLIC (0x70000 + 752)
#define MDC_MUSC_UPEXT_ABDUC_DIGIT_MIN (0x70000 + 756)
#define MDC_MUSC_UPEXT_FLEX_DIGIT_BREV_MIN (0x70000 + 760)
#define MDC_MUSC_UPEXT_OPPON_DIGIT_MIN (0x70000 + 764)
#define MDC_MUSC_UPEXT_LUMBRICAL (0x70000 + 768)
#define MDC_MUSC_UPEXT_INTEROSS_DORSAL (0x70000 + 772)
#define MDC_MUSC_UPEXT_INTEROSS_PALMAR (0x70000 + 776)
#define MDC_MUSC_LOEXT_HIP_THIGH (0x70000 + 780)
#define MDC_MUSC_LOEXT_LEG (0x70000 + 784)
#define MDC_MUSC_LOEXT_FOOT (0x70000 + 788)
#define MDC_MUSC_LOEXT_ILLIOPS (0x70000 + 792)
#define MDC_MUSC_LOEXT_GLUT_MAX (0x70000 + 796)
#define MDC_MUSC_LOEXT_GLUT_MED (0x70000 + 800)
#define MDC_MUSC_LOEXT_GLUT_MIN (0x70000 + 804)
#define MDC_MUSC_LOEXT_TENSOR_FASC_LAT (0x70000 + 808)
#define MDC_MUSC_LOEXT_PIRIFORM (0x70000 + 812)
#define MDC_MUSC_LOEXT_OBTURATOR (0x70000 + 816)
#define MDC_MUSC_LOEXT_GEMEL (0x70000 + 820)
#define MDC_MUSC_LOEXT_QUADRAT_FEMOR (0x70000 + 824)
#define MDC_MUSC_LOEXT_SARTOR (0x70000 + 828)
#define MDC_MUSC_LOEXT_QUADRICEPS_FEMOR (0x70000 + 832)
#define MDC_MUSC_LOEXT_RECT_FEMOR (0x70000 + 836)
#define MDC_MUSC_LOEXT_VAST_LAT (0x70000 + 840)
#define MDC_MUSC_LOEXT_VAST_INTERMED (0x70000 + 844)
#define MDC_MUSC_LOEXT_VAST_MED (0x70000 + 848)
#define MDC_MUSC_LOEXT_PECTIN (0x70000 + 852)
#define MDC_MUSC_LOEXT_ABDUC_LONG (0x70000 + 856)
#define MDC_MUSC_LOEXT_ABDUC_BREV (0x70000 + 860)
#define MDC_MUSC_LOEXT_ABDUC_MAGN (0x70000 + 864)
#define MDC_MUSC_LOEXT_GRACIL (0x70000 + 868)
#define MDC_MUSC_LOEXT_BICEPS_FEMOR (0x70000 + 872)
#define MDC_MUSC_LOEXT_BICEPS_FEMOR_LONG (0x70000 + 876)
#define MDC_MUSC_LOEXT_BICEPS_FEMOR_BREV (0x70000 + 880)
#define MDC_MUSC_LOEXT_SEMITENDIN (0x70000 + 884)
#define MDC_MUSC_LOEXT_SEMIMEMBRAN (0x70000 + 888)
#define MDC_MUSC_LOEXT_TIBIAL_ANT (0x70000 + 892)
#define MDC_MUSC_LOEXT_EXTENS_DIGIT_LONG (0x70000 + 896)
#define MDC_MUSC_LOEXT_EXTENS_HALLUC_LONG (0x70000 + 900)
#define MDC_MUSC_LOEXT_PERON (0x70000 + 904)
#define MDC_MUSC_LOEXT_PERON_LONG (0x70000 + 908)
#define MDC_MUSC_LOEXT_PERON_BREV (0x70000 + 912)
#define MDC_MUSC_LOEXT_TRICEPS_SUR (0x70000 + 916)
#define MDC_MUSC_LOEXT_GASTROCNEM (0x70000 + 920)
#define MDC_MUSC_LOEXT_GASTROCNEM_LAT (0x70000 + 924)
#define MDC_MUSC_LOEXT_GASTROCNEM_MED (0x70000 + 928)
#define MDC_MUSC_LOEXT_SOL (0x70000 + 932)
#define MDC_MUSC_LOEXT_PLANTAR (0x70000 + 936)
#define MDC_MUSC_LOEXT_POPLIT (0x70000 + 940)
#define MDC_MUSC_LOEXT_TIBIAL_POST (0x70000 + 944)
#define MDC_MUSC_LOEXT_FLEX_DIGIT_LONG (0x70000 + 948)
#define MDC_MUSC_LOEXT_EXTENS_HALLUC_BREV (0x70000 + 952)
#define MDC_MUSC_LOEXT_EXTENS_DIGIT_BREV (0x70000 + 956)
#define MDC_MUSC_LOEXT_ABDUC_HALLUC (0x70000 + 960)
#define MDC_MUSC_LOEXT_FLEX_HALLUC_BREV (0x70000 + 964)
#define MDC_MUSC_LOEXT_ADDUC_HALLUC (0x70000 + 968)
#define MDC_MUSC_LOEXT_ABDUC_DIGIT_MIN (0x70000 + 972)
#define MDC_MUSC_LOEXT_FLEX_DIGIT_BREV_MIN (0x70000 + 976)
#define MDC_MUSC_LOEXT_QUADRAT_PLANT (0x70000 + 980)
#define MDC_MUSC_LOEXT_LUMBRICAL (0x70000 + 984)
#define MDC_MUSC_LOEXT_INTEROSS_DORSAL (0x70000 + 988)
#define MDC_MUSC_LOEXT_INTEROSS_PLANTAR (0x70000 + 992)
#define MDC_LOEXT_LEG (0x70000 + 1604)
#define MDC_LOEXT_LEG_L (0x70000 + 1605)
#define MDC_LOEXT_LEG_R (0x70000 + 1606)
#define MDC_LOEXT_THIGH (0x70000 + 1612)
#define MDC_LOEXT_THIGH_L (0x70000 + 1613)
#define MDC_LOEXT_THIGH_R (0x70000 + 1614)
#define MDC_TRUNK_BREAST (0x70000 + 1664)    // BTLE HR monitor Chest
#define MDC_UPEXT_FOREARM (0x70000 + 1768)
#define MDC_UPEXT_FOREARM_L (0x70000 + 1769)
#define MDC_UPEXT_FOREARM_R (0x70000 + 1770)
#define MDC_UPEXT_ARM_UPPER (0x70000 + 1780)
#define MDC_UPEXT_ARM_UPPER_L (0x70000 + 1781)
#define MDC_UPEXT_ARM_UPPER_R (0x70000 + 1782)
#define MDC_UPEXT_WRIST (0x70000 + 1784)
#define MDC_UPEXT_FINGER (0x70000 + 1748)
#define MDC_UPEXT_HAND (0x70000 + 1772)
#define MDC_HEAD_EAR (0x70000 + 1520)        // ear lobe
#define MDC_LOEXT_FOOT (0x70000 + 1588)
#endif
// INFRA

#define MDC_DEV_SPEC_PROFILE_HYDRA (4096)
#define MDC_DEV_SPEC_PROFILE_PULS_OXIM (4100)
#define MDC_DEV_SPEC_PROFILE_MIN_ECG (4102)
#define MDC_DEV_SPEC_PROFILE_BP (4103)
#define MDC_DEV_SPEC_PROFILE_TEMP (4104)
#define MDC_DEV_SPEC_PROFILE_RESP_RATE (4109)
#define MDC_DEV_SPEC_PROFILE_SCALE (4111)
#define MDC_DEV_SPEC_PROFILE_GLUCOSE (4113)
#define MDC_DEV_SPEC_PROFILE_COAG (4114)
#define MDC_DEV_SPEC_PROFILE_INSULIN_PUMP (4115)
#define MDC_DEV_SPEC_PROFILE_BCA (4116)
#define MDC_DEV_SPEC_PROFILE_PEAK_FLOW (4117)
#define MDC_DEV_SPEC_PROFILE_URINE (4118)
#define MDC_DEV_SPEC_PROFILE_SABTE (4120)
#define MDC_DEV_SPEC_PROFILE_SPIRO (4125)
#define MDC_DEV_SPEC_PROFILE_PSM (4124)
#define MDC_DEV_SUB_SPEC_PROFILE_CPAP (4244)
#define MDC_DEV_SUB_SPEC_PROFILE_CPAP_AUTO (4245)
#define MDC_DEV_SUB_SPEC_PROFILE_BPAP (4246)
#define MDC_DEV_SUB_SPEC_PROFILE_BPAP_AUTO (4247)  // For future use
#define MDC_DEV_SUB_SPEC_PROFILE_ACSV (4248)    // For future use
#define MDC_DEV_SPEC_PROFILE_CGM (4121)
#define MDC_DEV_SPEC_PROFILE_HF_CARDIO (4137)
#define MDC_DEV_SPEC_PROFILE_HF_STRENGTH (4138)
#define MDC_DEV_SPEC_PROFILE_AI_ACTIVITY_HUB (4167)
#define MDC_DEV_SPEC_PROFILE_AI_MED_MINDER (4168)
#define MDC_DEV_SPEC_PROFILE_GENERIC (4169)
#define MDC_DEV_SUB_SPEC_PROFILE_STEP_COUNTER (4200)
#define MDC_DEV_SUB_SPEC_PROFILE_FALL_SENSOR (4213)
#define MDC_DEV_SUB_SPEC_PROFILE_PERS_SENSOR (4214)
#define MDC_DEV_SUB_SPEC_PROFILE_SMOKE_SENSOR (4215)
#define MDC_DEV_SUB_SPEC_PROFILE_CO_SENSOR (4216)
#define MDC_DEV_SUB_SPEC_PROFILE_WATER_SENSOR (4217)
#define MDC_DEV_SUB_SPEC_PROFILE_GAS_SENSOR (4218)
#define MDC_DEV_SUB_SPEC_PROFILE_MOTION_SENSOR (4219)
#define MDC_DEV_SUB_SPEC_PROFILE_PROPEXIT_SENSOR (4220)
#define MDC_DEV_SUB_SPEC_PROFILE_ENURESIS_SENSOR (4221)
#define MDC_DEV_SUB_SPEC_PROFILE_CONTACTCLOSURE_SENSOR (4222)
#define MDC_DEV_SUB_SPEC_PROFILE_USAGE_SENSOR (4223)
#define MDC_DEV_SUB_SPEC_PROFILE_SWITCH_SENSOR (4224)
#define MDC_DEV_SUB_SPEC_PROFILE_DOSAGE_SENSOR (4225)
#define MDC_DEV_SUB_SPEC_PROFILE_TEMP_SENSOR (4226)
#define MDC_DEV_SUB_SPEC_PROFILE_ECG (4236)
#define MDC_DEV_SUB_SPEC_PROFILE_HR (4237)

#define MDC_ID_MODEL_NUMBER (0x80000 + 7681)
#define MDC_ID_MODEL_MANUFACTURER (0x80000 + 7682)
#define MDC_ID_PROD_SPEC_UNSPECIFIED (0x80000 + 7683)
#define MDC_ID_PROD_SPEC_SERIAL (0x80000 + 7684)
#define MDC_ID_PROD_SPEC_PART (0x80000 + 7685)
#define MDC_ID_PROD_SPEC_HW (0x80000 + 7686)
#define MDC_ID_PROD_SPEC_SW (0x80000 + 7687)
#define MDC_ID_PROD_SPEC_FW (0x80000 + 7688)
#define MDC_ID_PROD_SPEC_PROTOCOL_REV (0x80000 + 7689)
#define MDC_ID_PROD_SPEC_GMDN (0x80000 + 7690)
#define MDC_MODALITY_AVERAGING_TIME (0x80000 + 7691)
#define MDC_SA_SPECN_FLAGS (0x80000 + 7692)
#define MDC_MOC_VMS_MDS_AHD (0x80000 + 7693)
#define MDC_TIME_SYNC_NONE (7936)
#define MDC_TIME_SYNC_NTPV3 (7937)
#define MDC_TIME_SYNC_NTPV4 (7938)
#define MDC_TIME_SYNC_SNTPV4 (7939)
#define MDC_TIME_SYNC_SNTPV4330 (7940)
#define MDC_TIME_SYNC_BTV1 (7941)
#define MDC_TIME_SYNC_RADIO (7942)
#define MDC_TIME_SYNC_HL7_NCK (7943)
#define MDC_TIME_SYNC_CDMA (7944)
#define MDC_TIME_SYNC_GSM (7945)
#define MDC_TIME_SYNC_EBWW (7946)
#define MDC_TIME_SYNC_USB_SOF (7947)
#define MDC_TIME_SYNC_OTHER (7948)
#define MDC_TIME_SYNC_OTHER_MOBILE (7949)
#define MDC_TIME_SYNC_GPS (7950)
#define MDC_REG_CERT_DATA_CONTINUA_VERSION (0x80000 + 8064)
#define MDC_REG_CERT_DATA_CONTINUA_CERT_DEV_LIST (0x80000 + 8065)
#define MDC_REG_CERT_DATA_CONTINUA_REG_STATUS (0x80000 + 8066)
#define MDC_REG_CERT_DATA_CONTINUA_AHD_CERT_LIST (0x80000 + 8067)

// PHD_DM 
#define MDC_PHD_DM_DEV_STAT (0x800000 + 20000)    // From SABTE
#define MDC_ECG_DEV_STAT (0x800000 + 21976)       // Standard has name MDC_ECG_DEV_STATUS and SCADA in one version
#define MDC_ECG_EVT_CTXT_GEN (0x800000 + 21977)
#define MDC_ECG_EVT_CTXT_USER (0x800000 + 21978)
#define MDC_ECG_EVT_CTXT_PERIODIC (0x800000 + 21979)
#define MDC_ECG_EVT_CTXT_DETECTED (0x800000 + 21980)
#define MDC_ECG_EVT_CTXT_EXTERNAL (0x800000 + 21981)
#define MDC_ECG_HEART_RATE_INSTANT (0x800000 + 21982)
#define MDC_BLOOD_PRESSURE_MEASUREMENT_STATUS (0x800000 + 22000)

#if (USE_SABTE == 1)
#define MDC_SABTE_TIME_PD_FLOW_GEN_TOTAL (0x800000 + 22100)
#define MDC_SABTE_TIME_PD_USAGE_TOTAL (0x800000 + 22104)
#define MDC_SABTE_TIME_PD_USAGE_W_HUM (0x800000 + 22108)
#define MDC_SABTE_TIME_PD_USAGE_WO_HUM (0x800000 + 22112)
#define MDC_SABTE_TIME_PD_SNORING_TOTAL (0x800000 + 22116)
#define MDC_SABTE_TIME_PD_CSR_TOTAL (0x800000 + 22120)
#define MDC_SABTE_TIME_PD_RAMP_SET (0x800000 + 22136)
#define MDC_SABTE_FLOW_TOTAL (0x800000 + 22140)
#define MDC_SABTE_FLOW_WO_PURGE (0x800000 + 22144)
#define MDC_SABTE_FLOW_RESP (0x800000 + 22148)
#define MDC_SABTE_AHI (0x800000 + 22180)
#define MDC_SABTE_AHI_TOTAL (0x800000 + 22184)
#define MDC_SABTE_AHI_UNCLASS (0x800000 + 22188)
#define MDC_SABTE_AHI_OBSTRUC (0x800000 + 22192)
#define MDC_SABTE_AHI_CENT (0x800000 + 22196)
#define MDC_SABTE_LVL_HUMID_STAGE_SET (0x800000 + 22220)
#define MDC_SABTE_LVL_HUMID_TEMP_SET (0x800000 + 22224)
#define MDC_SABTE_LVL_HUMID_HUM_SET (0x800000 + 22228)
#define MDC_SABTE_LVL_TRIG_SENS_SET (0x800000 + 22232)
#define MDC_SABTE_LVL_INSP_PRESS_RISE_SET (0x800000 + 22234)
#define MDC_SABTE_LVL_ADAPT_SET (0x800000 + 22240)
#define MDC_SABTE_MODE_ADAPT_FREEZE_SET (0x800000 + 22260)
#define MDC_SABTE_MODE_ADAPT_FREEZE_OFF (0x800000 + 22261)
#define MDC_SABTE_MODE_ADAPT_FREEZE_ON (0x800000 + 22262)
#define MDC_SABTE_MODE_AUTOSTARTSTOP_SET (0x800000 + 22264)
#define MDC_SABTE_MODE_DEV_SET (0x800000 + 22268)
#define MDC_SABTE_MODE_DEV_UNDETERMINED (0x800000 + 22269)
#define MDC_SABTE_MODE_DEV_STANDBY (0x800000 + 22270)
#define MDC_SABTE_MODE_DEV_THERAPY (0x800000 + 22271)
#define MDC_SABTE_MODE_DEV_MASK_FITTING (0x800000 + 22272)
#define MDC_SABTE_MODE_DEV_DRYING (0x800000 + 22273)
#define MDC_SABTE_MODE_DEV_EXPORTING (0x800000 + 22274)
#define MDC_SABTE_MODE_THERAPY_SET (0x800000 + 22280)
#define MDC_SABTE_MODE_THERAPY_UNDETERMINED (0x800000 + 22281)
#define MDC_SABTE_MODE_THERAPY_CPAP (0x800000 + 22282)
#define MDC_SABTE_MODE_THERAPY_CPAP_AUTO (0x800000 + 22283)
#define MDC_SABTE_MODE_THERAPY_BPAP_S (0x800000 + 22284)
#define MDC_SABTE_MODE_THERAPY_BPAP_T (0x800000 + 22285)
#define MDC_SABTE_MODE_THERAPY_BPAP_ST (0x800000 + 22286)
#define MDC_SABTE_MODE_THERAPY_BPAP_S_AUTO (0x800000 + 22287)
#define MDC_SABTE_MODE_THERAPY_BPAP_T_AUTO (0x800000 + 22288)
#define MDC_SABTE_MODE_THERAPY_BPAP_ST_AUTO (0x800000 + 22289)
#define MDC_SABTE_MODE_THERAPY_ACSV (0x800000 + 22290)
#define MDC_SABTE_PATT_COMPLIANCE_CLS (0x800000 + 22300)
#define MDC_SABTE_PATT_EFFICACY_CLS (0x800000 + 22308)
#define MDC_SABTE_PRESS (0x800000 + 22340)
#define MDC_SABTE_PRESS_MIN (0x800000 + 22341)
#define MDC_SABTE_PRESS_MAX (0x800000 + 22342)
#define MDC_SABTE_PRESS_MEAN (0x800000 + 22343)
#define MDC_SABTE_PRESS_P50 (0x800000 + 22347)
#define MDC_SABTE_PRESS_P90 (0x800000 + 22349)
#define MDC_SABTE_PRESS_P95 (0x800000 + 22350)
#define MDC_SABTE_PRESS_INSTANT (0x800000 + 22351)
#define MDC_SABTE_PRESS_TARGET (0x800000 + 22360)
#define MDC_SABTE_PRESS_CPAP_SET (0x800000 + 22364)
#define MDC_SABTE_PRESS_CPAP_AUTO_MIN_SET (0x800000 + 22368)
#define MDC_SABTE_PRESS_CPAP_AUTO_MAX_SET (0x800000 + 22372)
#define MDC_SABTE_PRESS_IPAP_SET (0x800000 + 22376)
#define MDC_SABTE_PRESS_EPAP_SET (0x800000 + 22380)
#define MDC_SABTE_PRESS_RAMP_START_SET (0x800000 + 22396)
#define MDC_SABTE_RESP_RATE_MIN (0x800000 + 22401)
#define MDC_SABTE_RESP_RATE_MAX (0x800000 + 22402)
#define MDC_SABTE_RESP_RATE_MEAN (0x800000 + 22403)
#define MDC_SABTE_RESP_RATE_P50 (0x800000 + 22407)
#define MDC_SABTE_RESP_RATE_P90 (0x800000 + 22409)
#define MDC_SABTE_RESP_RATE_P95 (0x800000 + 22410)
#define MDC_SABTE_RESP_RATE_INSTANT (0x800000 + 22411)
#define MDC_SABTE_RESP_RATE_SET (0x800000 + 22436)
#define MDC_SABTE_RATIO_IE_MIN (0x800000 + 22441)
#define MDC_SABTE_RATIO_IE_MAX (0x800000 + 22442)
#define MDC_SABTE_RATIO_IE_MEAN (0x800000 + 22443)
#define MDC_SABTE_RATIO_IE_P50 (0x800000 + 22447)
#define MDC_SABTE_RATIO_IE_P90 (0x800000 + 22449)
#define MDC_SABTE_RATIO_IE_P95 (0x800000 + 22450)
#define MDC_SABTE_RATIO_IE_INSTANT (0x800000 + 22451)
#define MDC_SABTE_RATIO_IE_SET (0x800000 + 22476)
#define MDC_SABTE_VOL_LEAK (0x800000 + 22480)
#define MDC_SABTE_VOL_LEAK_MIN (0x800000 + 22481)
#define MDC_SABTE_VOL_LEAK_MAX (0x800000 + 22482)
#define MDC_SABTE_VOL_LEAK_MEAN (0x800000 + 22483)
#define MDC_SABTE_VOL_LEAK_P50 (0x800000 + 22487)
#define MDC_SABTE_VOL_LEAK_P90 (0x800000 + 22489)
#define MDC_SABTE_VOL_LEAK_P95 (0x800000 + 22490)
#define MDC_SABTE_VOL_LEAK_INSTANT (0x800000 + 22491)
#define MDC_SABTE_VOL_MINUTE_MIN (0x800000 + 22521)
#define MDC_SABTE_VOL_MINUTE_MAX (0x800000 + 22522)
#define MDC_SABTE_VOL_MINUTE_MEAN (0x800000 + 22523)
#define MDC_SABTE_VOL_MINUTE_P50 (0x800000 + 22527)
#define MDC_SABTE_VOL_MINUTE_P90 (0x800000 + 22529)
#define MDC_SABTE_VOL_MINUTE_P95 (0x800000 + 22530)
#define MDC_SABTE_VOL_MINUTE_INSTANT (0x800000 + 22531)
#define MDC_SABTE_VOL_TIDAL_MIN (0x800000 + 22561)
#define MDC_SABTE_VOL_TIDAL_MAX (0x800000 + 22562)
#define MDC_SABTE_VOL_TIDAL_MEAN (0x800000 + 22563)
#define MDC_SABTE_VOL_TIDAL_P50 (0x800000 + 22567)
#define MDC_SABTE_VOL_TIDAL_P90 (0x800000 + 22569)
#define MDC_SABTE_VOL_TIDAL_P95 (0x800000 + 22570)
#define MDC_SABTE_VOL_TIDAL_INSTANT (0x800000 + 22571)
#endif
#define MDC_GLU_METER_DEV_STATUS (0x800000 + 29144)
#define MDC_CTXT_GLU_EXERCISE (0x800000 + 29152)
#define MDC_CTXT_GLU_CARB (0x800000 + 29156)
#define MDC_CTXT_GLU_CARB (0x800000 + 29156)
#define MDC_CTXT_GLU_CARB_UNDETERMINED (0x800000 + 29157)
#define MDC_CTXT_GLU_CARB_OTHER (0x800000 + 29158)
#define MDC_CTXT_GLU_CARB_NO_ENTRY (0x800000 + 29159)
#define MDC_CTXT_GLU_CARB_BREAKFAST (0x800000 + 29160)
#define MDC_CTXT_GLU_CARB_LUNCH (0x800000 + 29164)
#define MDC_CTXT_GLU_CARB_DINNER (0x800000 + 29168)
#define MDC_CTXT_GLU_CARB_SNACK (0x800000 + 29172)
#define MDC_CTXT_GLU_CARB_DRINK (0x800000 + 29176)
#define MDC_CTXT_GLU_CARB_SUPPER (0x800000 + 29180)
#define MDC_CTXT_GLU_CARB_BRUNCH (0x800000 + 29184)
#define MDC_CTXT_MEDICATION (0x800000 + 29188)
#define MDC_CTXT_MEDICATION_RAPIDACTING (0x800000 + 29192)
#define MDC_CTXT_MEDICATION_SHORTACTING (0x800000 + 29196)
#define MDC_CTXT_MEDICATION_INTERMEDIATEACTING (0x800000 + 29200)
#define MDC_CTXT_MEDICATION_LONGACTING (0x800000 + 29204)
#define MDC_CTXT_MEDICATION_PREMIX (0x800000 + 29208)
#define MDC_CTXT_GLU_HEALTH (0x800000 + 29212)
#define MDC_CTXT_GLU_HEALTH_MINOR (0x800000 + 29216)
#define MDC_CTXT_GLU_HEALTH_MAJOR (0x800000 + 29220)
#define MDC_CTXT_GLU_HEALTH_MENSES (0x800000 + 29224)
#define MDC_CTXT_GLU_HEALTH_STRESS (0x800000 + 29228)
#define MDC_CTXT_GLU_HEALTH_NONE (0x800000 + 29232)
#define MDC_CTXT_GLU_SAMPLELOCATION (0x800000 + 29236)
#define MDC_CTXT_GLU_SAMPLELOCATION_UNDETERMINED (0x800000 + 29237)
#define MDC_CTXT_GLU_SAMPLELOCATION_OTHER (0x800000 + 29238)
#define MDC_CTXT_GLU_SAMPLELOCATION_FINGER (0x800000 + 29240)
#define MDC_CTXT_GLU_SAMPLELOCATION_SUBCUTANEOUS (0x800000 + 29241)
#define MDC_CTXT_GLU_SAMPLELOCATION_AST (0x800000 + 29244)
#define MDC_CTXT_GLU_SAMPLELOCATION_EARLOBE (0x800000 + 29248)
#define MDC_CTXT_GLU_SAMPLELOCATION_CTRLSOLUTION (0x800000 + 29252)
#define MDC_CTXT_GLU_MEAL (0x800000 + 29256)
#define MDC_CTXT_GLU_MEAL_PREPRANDIAL (0x800000 + 29260)
#define MDC_CTXT_GLU_MEAL_BEDTIME (0x800000 + 29261)
#define MDC_CTXT_GLU_MEAL_POSTPRANDIAL (0x800000 + 29264)
#define MDC_CTXT_GLU_MEAL_FASTING (0x800000 + 29268)
#define MDC_CTXT_GLU_MEAL_CASUAL (0x800000 + 29272)
#define MDC_CTXT_GLU_TESTER (0x800000 + 29276)
#define MDC_CTXT_GLU_TESTER_SELF (0x800000 + 29280)
#define MDC_CTXT_GLU_TESTER_HCP (0x800000 + 29284)
#define MDC_CTXT_GLU_TESTER_LAB (0x800000 + 29288)
#define MDC_BATCHCODE_COAG (0x800000 + 29300)
#define MDC_INR_METER_DEV_STATUS (0x800000 + 29301)
#define MDC_TARGET_LEVEL_COAG (0x800000 + 29304)
#define MDC_MED_CURRENT_COAG (0x800000 + 29308)
#define MDC_MED_NEW_COAG (0x800000 + 29312)
#define MDC_CTXT_INR_TESTER (0x800000 + 29316)
#define MDC_CTXT_INR_TESTER_SELF (0x800000 + 29317)
#define MDC_CTXT_INR_TESTER_HCP (0x800000 + 29318)
#define MDC_CTXT_INR_TESTER_LAB (0x800000 + 29319)
#define MDC_CONC_GLU_TREND (0x800000 + 29400)
#define MDC_CONC_GLU_PATIENT_THRESHOLDS_LOW_HIGH (0x800000 + 29404)
#define MDC_CONC_GLU_PATIENT_THRESHOLD_LOW (0x800000 + 29405)
#define MDC_CONC_GLU_PATIENT_THRESHOLD_HIGH (0x800000 + 29406)
#define MDC_CONC_GLU_THRESHOLDS_HYPO_HYPER (0x800000 + 29408)
#define MDC_CONC_GLU_THRESHOLD_HYPO (0x800000 + 29409)
#define MDC_CONC_GLU_THRESHOLD_HYPER (0x800000 + 29410)
#define MDC_CONC_GLU_RATE_THRESHOLDS (0x800000 + 29412)
#define MDC_CONC_GLU_RATE_THRESHOLD_INCREASE (0x800000 + 29413)
#define MDC_CONC_GLU_RATE_THRESHOLD_DECREASE (0x800000 + 29414)
#define MDC_CGM_SENSOR_CALIBRATION (0x800000 + 29428)
#define MDC_CGM_SENSOR_RUN_TIME (0x800000 + 29432)
#define MDC_CGM_SENSOR_SAMPLE_INTERVAL (0x800000 + 29436)
#define MDC_CGM_DEV_STAT (0x800000 + 29452)
#define MDC_CGM_DEV_TYPE_SENSOR (0x800000 + 29460)
#define MDC_CGM_DEV_TYPE_TRANSMITTER (0x800000 + 29461)
#define MDC_CGM_DEV_TYPE_RECEIVER (0x800000 + 29462)
#define MDC_CGM_DEV_TYPE_OTHER (0x800000 + 29463)

#define MDC_INS_BASAL (0x800000 + 29680)    /* Delivered basal insulin */
#define MDC_INS_BASAL_RATE_SETTING (0x800000 + 29692)    /* Current basal insulin rate setting*/
#define MDC_INS_BASAL_PRGM (0x800000 + 29693)    /* Programed basal insulin rate    */
#define MDC_INS_BASAL_TEMP_ABS (0x800000 + 29694)    /* Temporary basal rate) absolute*/
#define MDC_INS_BASAL_TEMP_REL (0x800000 + 29695)    /* Temporary basal rate) relative*/
#define MDC_INS_BASAL_UNDETERMINED (0x800000 + 29696)    /* Undetermined basal*/
#define MDC_INS_BASAL_DEVICE (0x800000 + 29697)    /* Insulin pump device set basal    */
#define MDC_INS_BASAL_REMOTE (0x800000 + 29698)    /* Remote control set basal */
#define MDC_INS_BASAL_AP_CTRL (0x800000 + 29699)    /* Controller set basal insulin rate     */
#define MDC_INS_BASAL_OTHER (0x800000 + 29700)    /* Rate set by an other source    */
#define MDC_INS_BASAL_RATE_SCHED (0x800000 + 29712)    /* Basal rate schedule setting    */
#define MDC_INS_BOLUS_SETTING (0x800000 + 29724)    /* Bolus amount set    */
#define MDC_INS_BOLUS (0x800000 + 29736)    /* Delivered bolus insulin  */
#define MDC_INS_BOLUS_FAST (0x800000 + 29737)    /* Fast bolus    */
#define MDC_INS_BOLUS_EXT (0x800000 + 29738)    /* Extended bolus    */
#define MDC_INS_BOLUS_CORR (0x800000 + 29739)    /* Correction bolus    */
#define MDC_INS_BOLUS_MEAL (0x800000 + 29740)    /* Meal bolus    */
#define MDC_INS_BOLUS_UNDETERMINED (0x800000 + 29741)    /* Undetermined bolus    */


#define MDC_INS_BOLUS_MANUAL (0x800000 + 29742)    /* Manual) user defined bolus    */
#define MDC_INS_BOLUS_RECOMMENDED (0x800000 + 29743)    /* Recommended bolus    */
#define MDC_INS_BOLUS_MANUAL_CHANGE (0x800000 + 29744)    /* Recommended bolus Changed by user    */
#define MDC_INS_BOLUS_COMMANDED (0x800000 + 29745)    /* Commanded bolus    */
#define MDC_INS_BOLUS_OTHER (0x800000 + 29746)    /* Other bolus     */
#define MDC_INS_BOLUS_PENDING_DELAY (0x800000 + 29747)    /* Bolus pending delay    */
#define MDC_INS_I2CHO_SCHED (0x800000 + 29756)    /* I:CHO schedule setting*/
#define MDC_INS_ISF_SCHED (0x800000 + 29768)    /* ISF schedule setting    */
#define MDC_INS_RESERVOIR (0x800000 + 29780)    /* Insulin reservoir remaining    */
#define MDC_INS_CONC (0x800000 + 29792)    /* Insulin concentration    */
#define MDC_INS_PUMP_OP_STAT (0x800000 + 29804)    /* Operational status    */
#define MDC_INS_PUMP_DEV_STAT (0x800000 + 29836)    /* Insulin pump device status    */

/*
#define MDC_BATTERY_STATUS (0x800000 + 29904) // Battery status/
#define MDC_BATTERY_1 (0x800000 + 29912)
#define MDC_BATTERY_2 (0x800000 + 29920)
#define MDC_BATTERY_3 (0x800000 + 29928)
#define MDC_BATTERY_4 (0x800000 + 29936)
#define MDC_BATTERY_5 (0x800000 + 29944)
#define MDC_BATTERY_6 (0x800000 + 29952)
#define MDC_BATTERY_7 (0x800000 + 29960)
#define MDC_BATTERY_8 (0x800000 + 29968)
#define MDC_BATTERY_9 (0x800000 + 29976)
#define MDC_BATTERY_10 (0x800000 + 29984)
#define MDC_BATTERY_11 (0x800000 + 29992)
#define MDC_BATTERY_12 (0x800000 + 30000)
#define MDC_BATTERY_13 (0x800000 + 30008)
#define MDC_BATTERY_14 (0x800000 + 30016)
#define MDC_BATTERY_15 (0x800000 + 30024)
#define MDC_BATTERY_16 (0x800000 + 30032)
*/
#define MDC_PEFM_READING_STATUS (0x800000 + 30720)

#define MDC_START   (0x800000 + 30724)
#define MDC_END   (0x800000 + 30725)

#define MDC_DIAG_SESSION_SPIRO   (0x800000 + 30726)
#define MDC_DIAG_SUB_SESSION_SPIRO_CALIBRATION   (0x800000 + 307270)
#define MDC_DIAG_SUB_SESSION_SPIRO_MANEUVER   (0x800000 + 30728)
#define MDC_POSTURE_SITTING   (0x800000 + 30729)
#define MDC_POSTURE_STANDING   (0x800000 + 30730)
#define MDC_BRONCHO_DIALATOR   (0x800000 + 30731)
#define MDC_VOL_AWAY_FVC_Z_SCORE   (0x800000 + 30732)
#define MDC_VOL_AWAY_FVC_LLN   (0x800000 + 30733)
#define MDC_VOL_AWAY_FVC_PERCENT_PRED   (0x800000 + 30734)
#define MDC_VOL_AWAY_FEV6_Z_SCORE   (0x800000 + 30735)
#define MDC_VOL_AWAY_FEV6_LLN   (0x800000 + 30736)
#define MDC_VOL_AWAY_FEV6_PERCENT_PRED   (0x800000 + 30737)
#define MDC_VOL_AWAY_FEV1_Z_SCORE   (0x800000 + 30738)
#define MDC_VOL_AWAY_FEV1_LLN   (0x800000 + 30739)
#define MDC_VOL_AWAY_FEV1_PERCENT_PRED   (0x800000 + 30740)
#define MDC_VOL_AWAY_SVC_Z_SCORE   (0x800000 + 30741)
#define MDC_VOL_AWAY_SVC_LLN   (0x800000 + 30742)
#define MDC_VOL_AWAY_SVC_PERCENT_PRED   (0x800000 + 30743)
#define MDC_VOL_AWAY_FEV0_5_Z_SCORE   (0x800000 + 30744)
#define MDC_VOL_AWAY_FEV0_5_LLN   (0x800000 + 30745)
#define MDC_VOL_AWAY_FEV0_5_PERCENT_PRED   (0x800000 + 30746)
#define MDC_VOL_AWAY_FEV0_75_Z_SCORE   (0x800000 + 30747)
#define MDC_VOL_AWAY_FEV0_75_LLN   (0x800000 + 30748)
#define MDC_VOL_AWAY_FEV0_75_PERCENT_PRED   (0x800000 + 30749)
#define MDC_RATIO_AWAY_FEV1_FVC_Z_SCORE   (0x800000 + 30750)
#define MDC_RATIO_AWAY_FEV1_FVC_LLN   (0x800000 + 30751)
#define MDC_RATIO_AWAY_FEV1_FVC_PERCENT_PRED   (0x800000 + 30752)
#define MDC_RATIO_AWAY_FEV1_FEV6_Z_SCORE   (0x800000 + 30753)
#define MDC_RATIO_AWAY_FEV1_FEV6_LLN   (0x800000 + 30754)
#define MDC_RATIO_AWAY_FEV1_FEV6_PERCENT_PRED   (0x800000 + 30755)
#define MDC_RATIO_AWAY_FEV1_SVC_Z_SCORE   (0x800000 + 30756)
#define MDC_RATIO_AWAY_FEV1_SVC_LLN   (0x800000 + 30757)
#define MDC_RATIO_AWAY_FEV1_SVC_PERCENT_PRED   (0x800000 + 30758)

#define MDC_SPIRO_FVC_ATS_QUAL   (0x800000 + 30759)
#define MDC_SPIRO_FEV1_ATS_QUAL   (0x800000 + 30760)
#define MDC_SPIRO_ATS_QUAL_A   (0x800000 + 30761)
#define MDC_SPIRO_ATS_QUAL_B   (0x800000 + 30762)
#define MDC_SPIRO_ATS_QUAL_C   (0x800000 + 30763)
#define MDC_SPIRO_AST_QUAL_D   (0x800000 + 30764)
#define MDC_SPIRO_AST_QUAL_E   (0x800000 + 30765)
#define MDC_SPIRO_AST_QUAL_U   (0x800000 + 30766)
#define MDC_SPIRO_AST_QUAL_F   (0x800000 + 30767)
#define MDC_SPIRO_PRED_EQN_GLI2012   (0x800000 + 30768)
#define MDC_SPIRO_PRED_EQN_NHANESIII   (0x800000 + 30769)
#define MDC_SPIRO_PRED_EQN_ECSC   (0x800000 + 30770)
#define MDC_SPIRO_PRED_EQN_OTHER   (0x800000 + 30771)
#define MDC_ETHNICITY   (0x800000 + 30772)
#define MDC_ETHNICITY_BLACK   (0x800000 + 30773)
#define MDC_ETHNICITY_NE_ASIAN   (0x800000 + 30774)
#define MDC_ETHNICITY_MIXED   (0x800000 + 30775)
#define MDC_ETHNICITY_SE_ASIAN   (0x800000 + 30776)
#define MDC_ETHNICITY_WHITE   (0x800000 + 30777)
#define MDC_ETHNICITY_OTHER   (0x800000 + 30778)
#define MDC_BIRTH_SEX   (0x800000 + 30779)
#define MDC_BIRTH_SEX_MALE   (0x800000 + 30780)
#define MDC_BIRTH_SEX_MALE_HORMONES_FEMALE   (0x800000 + 30781)
#define MDC_BIRTH_SEX_FEMALE   (0x800000 + 30782)
#define MDC_BIRTH_SEX_FEMALE_HORMONES_MALE   (0x800000 + 30783)
#define MDC_SPIRO_MANEUV_STATUS   (0x800000 + 30784)


#define MDC_PRIV_STETH_AUDIO_SIGNAL (0x800000 + 0xF9F9)

// PHD_HF
#if (USE_CARDIO == 1)
#define MDC_HF_ALT_GAIN (0x810000 + 100)
#define MDC_HF_ALT_LOSS (0x810000 + 101)
#define MDC_HF_ALT (0x810000 + 102)
#define MDC_HF_DISTANCE (0x810000 + 103)
#define MDC_HF_ASC_TME_DIST (0x810000 + 104)
#define MDC_HF_DESC_TIME_DIST (0x810000 + 105)
#define MDC_HF_LATITUDE (0x810000 + 106)
#define MDC_HF_LONGITUDE (0x810000 + 107)
#define MDC_HF_PROGRAM_ID (0x810000 + 108)
#define MDC_HF_SLOPES (0x810000 + 109)
#define MDC_HF_SPEED (0x810000 + 110)
#define MDC_HF_CAD (0x810000 + 111)
#define MDC_HF_INCLINE (0x810000 + 112)
#define MDC_HF_HR_MAX_USER (0x810000 + 113)
#define MDC_HF_HR (0x810000 + 114)
#define MDC_HF_POWER (0x810000 + 115)
#define MDC_HF_RESIST (0x810000 + 116)
#define MDC_HF_STRIDE (0x810000 + 117)
#define MDC_HF_ENERGY (0x810000 + 119)
#define MDC_HF_CAL_INGEST (0x810000 + 120)
#define MDC_HF_CAL_INGEST_CARB (0x810000 + 121)
#define MDC_HF_SUST_PA_THRESHOLD (0x810000 + 122)
#define MDC_HF_SESSION (0x810000 + 123)
#define MDC_HF_SUBSESSION (0x810000 + 124)
#define MDC_HF_ACTIVITY_TIME (0x810000 + 125)
#define MDC_HF_AGE (0x810000 + 126)
#define MDC_HF_ACTIVITY_INTENSITY (0x810000 + 127)
#define MDC_HF_SET (0x810000 + 200)
#define MDC_HF_REPETITION (0x810000 + 201)
#define MDC_HF_REPETITION_COUNT (0x810000 + 202)
#define MDC_HF_RESISTANCE (0x810000 + 203)
#define MDC_HF_EXERCISE_POSITION (0x810000 + 204)
#define MDC_HF_EXERCISE_LATERALITY (0x810000 + 205)
#define MDC_HF_EXERCISE_GRIP (0x810000 + 206)
#define MDC_HF_EXERCISE_MOVEMENT (0x810000 + 207)
#define MDC_HF_ACT_AMB (0x810000 + 1000)
#define MDC_HF_ACT_REST (0x810000 + 1001)
#define MDC_HF_ACT_MOTOR (0x810000 + 1002)
#define MDC_HF_ACT_LYING (0x810000 + 1003)
#define MDC_HF_ACT_SLEEP (0x810000 + 1004)
#define MDC_HF_ACT_PHYS (0x810000 + 1005)
#define MDC_HF_ACT_SUS_PHYS (0x810000 + 1006)
#define MDC_HF_ACT_UNKNOWN (0x810000 + 1007)
#define MDC_HF_ACT_MULTIPLE (0x810000 + 1008)
#define MDC_HF_ACT_MONITOR (0x810000 + 1009)
#define MDC_HF_ACT_SKI (0x810000 + 1010)
#define MDC_HF_ACT_RUN (0x810000 + 1011)
#define MDC_HF_ACT_BIKE (0x810000 + 1012)
#define MDC_HF_ACT_STAIR (0x810000 + 1013)
#define MDC_HF_ACT_ROW (0x810000 + 1014)
#define MDC_HF_ACT_HOME (0x810000 + 1015)
#define MDC_HF_ACT_WORK (0x810000 + 1016)
#define MDC_HF_ACT_WALK (0x810000 + 1017)
#define MDC_HF_LATERALITY_BOTH (0x810000 + 1200)
#define MDC_HF_LATERALITY_RIGHT (0x810000 + 1201)
#define MDC_HF_LATERALITY_LEFT (0x810000 + 1202)
#define MDC_HF_POSITION_INCLINE (0x810000 + 1203)
#define MDC_HF_POSITION_DECLINE (0x810000 + 1204)
#define MDC_HF_POSITION_SEATED (0x810000 + 1205)
#define MDC_HF_POSITION_STANDING (0x810000 + 1206)
#define MDC_HF_POSITION_KNEELING (0x810000 + 1207)
#define MDC_HF_POSITION_BENTOVER (0x810000 + 1208)
#define MDC_HF_POSITION_HANGING (0x810000 + 1209)
#define MDC_HF_POSITION_OVERHEAD (0x810000 + 1210)
#define MDC_HF_POSITION_LYING (0x810000 + 1211)
#define MDC_HF_MOVEMENT_FLEXION (0x810000 + 1300)
#define MDC_HF_MOVEMENT_EXTENSION (0x810000 + 1301)
#define MDC_HF_MOVEMENT_ROTATION (0x810000 + 1302)
#define MDC_HF_MOVEMENT_ABDUCTION (0x810000 + 1303)
#define MDC_HF_MOVEMENT_ADDUCTION (0x810000 + 1304)
#define MDC_HF_GRIP_PARALLEL (0x810000 + 1400)
#define MDC_HF_GRIP_OVERHAND (0x810000 + 1401)
#define MDC_HF_GRIP_UNDERHAND (0x810000 + 1402)
#define MDC_HF_GRIP_CLOSE (0x810000 + 1403)
#define MDC_HF_GRIP_WIDE (0x810000 + 1404)
#define MDC_HF_GRIP_GRIPLESS (0x810000 + 1405)
#define MDC_HF_MEAN_NULL_INCLUDE (0x810000 + 2000)
#define MDC_HF_MEAN_NULL_EXCLUDE (0x810000 + 2001)
#define MDC_HF_MAX (0x810000 + 2002)
#define MDC_HF_MIN (0x810000 + 2003)
#define MDC_HF_RMS (0x810000 + 2004)
#define MDC_HF_INST (0x810000 + 2018)
#define MDC_HF_3D_ACC_X (0x810000 + 2011)
#define MDC_HF_3D_ACC_Y (0x810000 + 2012)
#define MDC_HF_3D_ACC_Z (0x810000 + 2013)
#define MDC_HF_RESP_RATE (0x810000 + 2020)
#endif

// PHD_AI
#if (USES_PART_AI == 1)
#define MDC_AI_TYPE_SENSOR_FALL (0x820000 + 1)
#define MDC_AI_TYPE_SENSOR_PERS (0x820000 + 2)
#define MDC_AI_TYPE_SENSOR_SMOKE (0x820000 + 3)
#define MDC_AI_TYPE_SENSOR_CO (0x820000 + 4)
#define MDC_AI_TYPE_SENSOR_WATER (0x820000 + 5)
#define MDC_AI_TYPE_SENSOR_GAS (0x820000 + 6)
#define MDC_AI_TYPE_SENSOR_MOTION (0x820000 + 7)
#define MDC_AI_TYPE_SENSOR_PROPEXIT (0x820000 + 8)
#define MDC_AI_TYPE_SENSOR_ENURESIS (0x820000 + 9)
#define MDC_AI_TYPE_SENSOR_CONTACTCLOSURE (0x820000 + 10)
#define MDC_AI_TYPE_SENSOR_USAGE (0x820000 + 11)
#define MDC_AI_TYPE_SENSOR_SWITCH (0x820000 + 12)
#define MDC_AI_TYPE_SENSOR_DOSAGE (0x820000 + 13)
#define MDC_AI_TYPE_SENSOR_TEMP (0x820000 + 14)
#define MDC_AI_LOCATION (0x820000 + 1023)
#define MDC_AI_LOCATION_START (0x820000 + 1024)
#define MDC_AI_LOCATION_UNKNOWN (0x820000 + 1024)
#define MDC_AI_LOCATION_UNSPECIFIED (0x820000 + 1088)
#define MDC_AI_LOCATION_RESIDENT (0x820000 + 1152)
#define MDC_AI_LOCATION_LOCALUNIT (0x820000 + 1216)
#define MDC_AI_LOCATION_BEDROOM (0x820000 + 3072)
#define MDC_AI_LOCATION_BEDROOMMASTER (0x820000 + 3136)
#define MDC_AI_LOCATION_TOILET (0x820000 + 3200)
#define MDC_AI_LOCATION_TOILETMAIN (0x820000 + 3264)
#define MDC_AI_LOCATION_OUTSIDETOILET (0x820000 + 3328)
#define MDC_AI_LOCATION_SHOWERROOM (0x820000 + 3392)
#define MDC_AI_LOCATION_KITCHEN (0x820000 + 3456)
#define MDC_AI_LOCATION_KITCHENMAIN (0x820000 + 3520)
#define MDC_AI_LOCATION_LIVINGAREA (0x820000 + 3584)
#define MDC_AI_LOCATION_LIVINGROOM (0x820000 + 3648)
#define MDC_AI_LOCATION_DININGROOM (0x820000 + 3712)
#define MDC_AI_LOCATION_STUDY (0x820000 + 3776)
#define MDC_AI_LOCATION_HALL (0x820000 + 3840)
#define MDC_AI_LOCATION_LANDING (0x820000 + 3904)
#define MDC_AI_LOCATION_STAIRS (0x820000 + 3968)
#define MDC_AI_LOCATION_HALLLANDINGSTAIRS (0x820000 + 4032)
#define MDC_AI_LOCATION_GARAGE (0x820000 + 4096)
#define MDC_AI_LOCATION_GARDENGARAGE (0x820000 + 4160)
#define MDC_AI_LOCATION_GARDENGARAGEAREA (0x820000 + 4224)
#define MDC_AI_LOCATION_FRONTGARDEN (0x820000 + 4288)
#define MDC_AI_LOCATION_BACKGARDEN (0x820000 + 4352)
#define MDC_AI_LOCATION_SHED (0x820000 + 4416)
#define MDC_AI_APPLIANCE_KETTLE (0x820000 + 7168)
#define MDC_AI_APPLIANCE_TELEVISION (0x820000 + 7232)
#define MDC_AI_APPLIANCE_STOVE (0x820000 + 7296)
#define MDC_AI_APPLIANCE_MICROWAVE (0x820000 + 7360)
#define MDC_AI_APPLIANCE_TOASTER (0x820000 + 7424)
#define MDC_AI_APPLIANCE_VACUUM (0x820000 + 7488)
#define MDC_AI_APPLIANCE_APPLIANCE (0x820000 + 7552)
#define MDC_AI_APPLIANCE_FAUCET (0x820000 + 7616)
#define MDC_AI_LOCATION_FRONTDOOR (0x820000 + 9216)
#define MDC_AI_LOCATION_BACKDOOR (0x820000 + 9280)
#define MDC_AI_LOCATION_FRIDGEDOOR (0x820000 + 9344)
#define MDC_AI_LOCATION_MEDCABDOOR (0x820000 + 9408)
#define MDC_AI_LOCATION_WARDROBEDOOR (0x820000 + 9472)
#define MDC_AI_LOCATION_FRONTCUPBOARDDOOR (0x820000 + 9536)
#define MDC_AI_LOCATION_OTHERDOOR (0x820000 + 9600)
#define MDC_AI_LOCATION_BED (0x820000 + 11264)
#define MDC_AI_LOCATION_CHAIR (0x820000 + 11328)
#define MDC_AI_LOCATION_SOFA (0x820000 + 11392)
#define MDC_AI_LOCATION_TOILET_SEAT (0x820000 + 11456)
#define MDC_AI_LOCATION_STOOL (0x820000 + 11520)
#define MDC_AI_MED_DISPENSED_FIXED (0x820000 + 13312)
#define MDC_AI_MED_DISPENSED_VARIABLE (0x820000 + 13313)
#define MDC_AI_MED_STATUS (0x820000 + 13314)
#define MDC_AI_MED_FEEDBACK (0x820000 + 13315)
#define MDC_AI_MED_UF_LOCATION (0x820000 + 13316)
#define MDC_AI_MED_UF_RESPONSE (0x820000 + 13317)
#define MDC_AI_MED_UF_TYPE_YESNO (0x820000 + 13318)
#endif
#endif /* __NOMENCLATURE_H_ */
